Page 2 of 3

Re: Testing the 0.52 Release Candidate

Posted: Thu Apr 29, 2021 10:38 pm UTC
by freem
What would be great, would be to have a script in the archive to launch daemon with parameters so that it would not be able to touch normal setup. This can actually be added to the list of things which should be fixed for 0.53: be able to have multiple versions installed side-by-side, which will prove useful as time goes on, since mods and maps may become incompatible at some point with future releases.

Re: Testing the 0.52 Release Candidate

Posted: Thu Apr 29, 2021 10:46 pm UTC
by illwieckz
freem wrote:be able to have multiple versions installed side-by-side, which will prove useful as time goes on, since mods and maps may become incompatible at some point with future releases.

It's not the future we want. Well, we want it to be technically possible and it is, there is -homepath, -libpath, etc.

But this is to make possible to run multiple standalone games with a single engine build, not to have each mod split the player community. We're not delivering to console cartridges, it's expected the project is alive and any version is not written in stone.

Opensourceness exists for making possible to migrate data and code, this also means opensourceness exists for making possible to fix or improve actual stuff with future means that do not exist yet.

Re: Testing the 0.52 Release Candidate

Posted: Fri Apr 30, 2021 8:23 pm UTC
by poVoq
illwieckz wrote:Out of curiosity, is your GPU listed there? wiki:GPU compatibility matrix :smile:


No, but one that is very similar. Mine is a HD 530 as part of a i7-6700HQ mobile CPU.

Re: Testing the 0.52 Release Candidate

Posted: Sat May 01, 2021 2:40 am UTC
by illwieckz
poVoq wrote:
illwieckz wrote:Out of curiosity, is your GPU listed there? wiki:GPU compatibility matrix :smile:


No, but one that is very similar. Mine is a HD 530 as part of a i7-6700HQ mobile CPU.


I see, I assume you can do 60+ fps on 1920×1080 resolution with medium profile, do you confirm? Would you be able to paste the output of `/gfxinfo` command in game (would be displayed on terminal console as well for easy copy/paste) as well as `glxinfo | grep 'Video memory'` from a terminal, plus tell me the laptop brand? This way I would have complete informations to add to a new line in that compatibility matrix. :smile:

Re: Testing the 0.52 Release Candidate

Posted: Sat May 08, 2021 3:44 pm UTC
by poVoq
80-120fps on medium settings.

Code: Select all

GL_VENDOR: Intel                                                                                                             
GL_RENDERER: Mesa Intel(R) HD Graphics 530 (SKL GT2)                                                                         
GL_VERSION: 4.6 (Core Profile) Mesa 21.0.3                                                                                   
GL_SHADING_LANGUAGE_VERSION: 4.60                                                                                             
GL_MAX_VERTEX_UNIFORM_COMPONENTS 16384                                                                                       
Using OpenGL 3.x context
Using GPU vertex skinning with max 256 bones in a single pass


and

Code: Select all

    Video memory: 3072MB


But I have the slight suspicion that the video memory might come from the build in Optimus Nvidia 970m that I have not used for these tests (no need for Unvanquished).

The Laptop brand is a "Tuxedo (Clevo) P641RE" running Manjaro Linux (Kernel 5.12 and Mesa 21.0).

Re: Testing the 0.52 Release Candidate

Posted: Sun May 09, 2021 6:03 am UTC
by illwieckz
poVoq wrote:80-120fps on medium settings.

Excellent!

But I have the slight suspicion that the video memory might come from the build in Optimus Nvidia 970m that I have not used for these tests (no need for Unvanquished).

I also got 3GB of video memory on similar Intel chip without Nvidia card being there at all (like a HD 520 (i3-6100U) in an Intel NUC), so that sounds right to me!

I added your test results on the GPU compatibility matrix.

Re: Testing the 0.52 Release Candidate

Posted: Sun May 09, 2021 8:42 am UTC
by k0pernicus
Hi,

I just tested the latest build on macOS (Apple Silicon with Rosetta 2), and got the following error message at launch: "Could not load default base pak 'unvanquished'".

To reproduce, I downloaded the build, extracted game from the macOS archive, and made sure that the .app is next to the 'pkg' folder.
Then, launching the .app archive made pop up the error message.

Is there anything wrong with the path(s) of the 'pkg' folder?

Re: Testing the 0.52 Release Candidate

Posted: Mon May 10, 2021 4:39 pm UTC
by illwieckz
k0pernicus wrote:Hi,

I just tested the latest build on macOS (Apple Silicon with Rosetta 2), and got the following error message at launch: "Could not load default base pak 'unvanquished'".

To reproduce, I downloaded the build, extracted game from the macOS archive, and made sure that the .app is next to the 'pkg' folder.
Then, launching the .app archive made pop up the error message.

Is there anything wrong with the path(s) of the 'pkg' folder?


Hu… that bug is super weird. I just got it on x86_64 mac…
But when I ran the Unvanquished.app/Contents/MacOS/unvanquished.sh it worked
and after that double-clicking on the icon worked as well…

Can you try this? At least to validate Rosetta 2?

Re: Testing the 0.52 Release Candidate

Posted: Mon May 10, 2021 4:49 pm UTC
by illwieckz
Well, the first time, I tried it with the unvanquished_* folder on Desktop. But before running it from command line, I moved it to Home from command line, and to move it from Desktop to Home, I got a pop-up telling me the Terminal application tried to access the Desktop and I was asked to allow the Terminal application to access the Desktop… Maybe there is a very special thing about the Desktop. Did you ran it with the unvanquished folder (the one extracted from zip and containing Unvanquished.app) was on Desktop on your side as well?

Re: Testing the 0.52 Release Candidate

Posted: Mon May 10, 2021 4:50 pm UTC
by illwieckz
Yes, I reextracted it on the Desktop and from there it does not work.

Edit: from command line I can run it when stored on the Desktop as well, but even after that I can't run it from the finder when stored on the desktop.